Bug 220966 - Enable webrtc video capture in GPUProcess for iOS WebKitTestRunner
Summary: Enable webrtc video capture in GPUProcess for iOS WebKitTestRunner
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebRTC (show other bugs)
Version: WebKit Local Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: youenn fablet
URL:
Keywords: InRadar
Depends on: 220936 221035
Blocks:
  Show dependency treegraph
 
Reported: 2021-01-26 01:17 PST by youenn fablet
Modified: 2021-02-03 02:34 PST (History)
9 users (show)

See Also:


Attachments
Patch (2.09 KB, patch)
2021-01-26 01:25 PST, youenn fablet
no flags Details | Formatted Diff | Diff
Patch (1.10 KB, patch)
2021-01-29 06:42 PST, youenn fablet
no flags Details | Formatted Diff | Diff
Patch (4.81 KB, patch)
2021-02-01 01:58 PST, youenn fablet
no flags Details | Formatted Diff | Diff
Patch (4.85 KB, patch)
2021-02-01 04:22 PST, youenn fablet
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description youenn fablet 2021-01-26 01:17:44 PST
Enable webrtc capture in WebKitTestRunner (iOS)
Comment 1 youenn fablet 2021-01-26 01:25:11 PST
Created attachment 418378 [details]
Patch
Comment 2 Alexey Proskuryakov 2021-01-27 14:46:12 PST
Comment on attachment 418378 [details]
Patch

It is hard for me to understand why this does what the ChangeLog says. The patch removes disabling WebRTCPlatformCodecsInGPUProcessEnabled cross-platform, enables CaptureAudioInGPUProcessEnabled on Mac, and CaptureVideoInGPUProcessEnabled cross-platform. More explanation in ChangeLog could be useful.
Comment 3 youenn fablet 2021-01-28 00:26:07 PST
(In reply to Alexey Proskuryakov from comment #2)
> Comment on attachment 418378 [details]
> Patch
> 
> It is hard for me to understand why this does what the ChangeLog says. The
> patch removes disabling WebRTCPlatformCodecsInGPUProcessEnabled
> cross-platform, enables CaptureAudioInGPUProcessEnabled on Mac, and
> CaptureVideoInGPUProcessEnabled cross-platform. More explanation in
> ChangeLog could be useful.

Bug title is not clear, this is about enabling webrtc capture in GPUProcess in WTR on iOS.
Comment 4 youenn fablet 2021-01-29 06:42:34 PST
Created attachment 418721 [details]
Patch
Comment 5 youenn fablet 2021-01-29 12:33:25 PST
Following tests are failing:
fast/speechrecognition/ios/audio-capture.html
fast/speechrecognition/ios/restart-recognition-after-stop.html fast/speechrecognition/ios/start-recognition-then-stop.html
platform/ios/mediastream/video-muted-in-background-tab.html

First 3 are probably due to speech recognition not working in GPU process.

3rd one is using internals API which is not well supported with GPUProcess.
But there is probably a need to better handle the case of visibility interruption on iOS when GPU process is doing the capture.
Comment 6 youenn fablet 2021-02-01 01:58:58 PST
Created attachment 418848 [details]
Patch
Comment 7 youenn fablet 2021-02-01 04:22:16 PST
Created attachment 418856 [details]
Patch
Comment 8 Radar WebKit Bug Importer 2021-02-02 01:18:21 PST
<rdar://problem/73869764>
Comment 9 EWS 2021-02-03 02:34:48 PST
Committed r272304: <https://trac.webkit.org/changeset/272304>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 418856 [details].